var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from 'styled-components';
import { Box } from '@chakra-ui/react';
export var StyledFont16 = styled.span(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: ", ";\n  font-size: 16px;\n  line-height: 22px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"], ["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: ", ";\n  font-size: 16px;\n  line-height: 22px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"])), function (_a) {
    var bold = _a.bold;
    return (bold ? 600 : 400);
}, function (_a) {
    var block = _a.block;
    return (block ? 'block' : 'inline-block');
}, function (_a) {
    var theme = _a.theme, fontColor = _a.fontColor;
    return theme.colors[fontColor || 'primary'];
}, function (_a) {
    var nowrap = _a.nowrap;
    return (nowrap ? 'nowrap' : 'normal');
}, function (_a) {
    var wordbreak = _a.wordbreak;
    return wordbreak || 'normal';
});
export var StyledFont14 = styled.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: ", ";\n  font-size: 14px;\n  line-height: 20px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"], ["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: ", ";\n  font-size: 14px;\n  line-height: 20px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"])), function (_a) {
    var bold = _a.bold;
    return (bold ? 600 : 400);
}, function (_a) {
    var block = _a.block;
    return (block ? 'block' : 'inline-block');
}, function (_a) {
    var theme = _a.theme, fontColor = _a.fontColor;
    return theme.colors[fontColor || 'primary'];
}, function (_a) {
    var nowrap = _a.nowrap;
    return (nowrap ? 'nowrap' : 'normal');
}, function (_a) {
    var wordbreak = _a.wordbreak;
    return wordbreak || 'normal';
});
export var StyledFont12 = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: 400;\n  font-size: 12px;\n  line-height: 13px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"], ["\n  /* 14 */\n  font-family: 'Eina 01';\n  font-style: normal;\n  font-weight: 400;\n  font-size: 12px;\n  line-height: 13px;\n  display: ", ";\n  /* identical to box height, or 143% */\n\n  /* Black */\n  color: ", ";\n  white-space: ", ";\n  word-break: ", ";\n"])), function (_a) {
    var block = _a.block;
    return (block ? 'block' : 'inline-block');
}, function (_a) {
    var theme = _a.theme, fontColor = _a.fontColor;
    return theme.colors[fontColor || 'primary'];
}, function (_a) {
    var nowrap = _a.nowrap;
    return (nowrap ? 'nowrap' : 'normal');
}, function (_a) {
    var wordbreak = _a.wordbreak;
    return wordbreak || 'normal';
});
export var StyledModuleBox = styled(Box)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  background-color: ", ";\n  border: 1px solid ", ";\n  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);\n  border-radius: 4px;\n  margin-top: 10px;\n  margin-bottom: 10px;\n"], ["\n  background-color: ", ";\n  border: 1px solid ", ";\n  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);\n  border-radius: 4px;\n  margin-top: 10px;\n  margin-bottom: 10px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.contrast;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background04;
});
export var StyledScrollX = styled.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  overflow-x: auto;\n"], ["\n  overflow-x: auto;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
